classification
Title: checking size of size_t... configure: error:
Type: behavior Stage:
Components: Versions: Python 2.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, ned.deily, phsiao, shilpi, trent
Priority: normal Keywords:

Created on 2013-03-04 06:32 by shilpi, last changed 2013-03-22 21:00 by phsiao.

Messages (10)
msg183417 - (view) Author: shilpi (shilpi) Date: 2013-03-04 06:32
Hi 
we are facing "checking size of size_t error" in building python2.6
checking size of size_t... configure: error: in `/var/tmp/python_build/Python-2.6.8':
configure: error: cannot compute sizeof (size_t). Is there any fix for this issue or anysolution
msg183418 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-04 06:33
Have you tried with Python 2.7?
msg183419 - (view) Author: shilpi (shilpi) Date: 2013-03-04 06:36
I have not tried with Python2.7.
Our requirement that we need python2.6.
If you have any idea or clue for this issue 
Regards
Shilpi
msg183420 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-04 06:50
Can you provide more information about your operating system/platform?
Python 2.6 only receives security fixes, so even if it's a bug it can't be fixed there (it could be fixed on 2.7 though).
msg183422 - (view) Author: shilpi (shilpi) Date: 2013-03-04 07:29
Hi ,
Currently we are using thi version
cat /etc/release
                   Oracle Solaris 10 8/11 s10s_u10wos_17b SPARC
  Copyright (c) 1983, 2011, Oracle and/or its affiliates. All rights reserved.
                            Assembled 23 August 2011
Regards
Shilpi
-----Original Message-----
From: Ezio Melotti [mailto:report@bugs.python.org] 
Sent: Monday, March 04, 2013 12:20 PM
To: Shilpi Singh (WT01 - GMT-Telecom Equipment)
Subject: [issue17344] checking size of size_t... configure: error:

Ezio Melotti added the comment:

Can you provide more information about your operating system/platform?
Python 2.6 only receives security fixes, so even if it's a bug it can't be fixed there (it could be fixed on 2.7 though).

----------

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue17344>
_______________________________________

Please do not print this email unless it is absolutely necessary. 

The information contained in this electronic message and any attachments to this message are intended for the exclusive use of the addressee(s) and may contain proprietary, confidential or privileged information. If you are not the intended recipient, you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately and destroy all copies of this message and any attachments. 

WARNING: Computer viruses can be transmitted via email. The recipient should check this email and any attachments for the presence of viruses. The company accepts no liability for any damage caused by any virus transmitted by this email. 

www.wipro.com
msg183480 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-04 17:52
The SPARC Solaris buildbot with cc compilers run configure without problems, whereas the ones with gcc are broken because of gcc (and they don't even reach the configure step that checks for size_t).
If we cannot confirm that there is a problem on a currently maintained version of Python I'm afraid I'll have to close this issue.
msg183510 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2013-03-05 06:28
Shilpi, can you paste the exact ./configure invocation you're using?
msg184895 - (view) Author: Joe Hsiao (phsiao) Date: 2013-03-21 18:03
I was brought here by google searching for the same issue.

My system is MAC OSX 10.6.8 with gcc version 4.2.1.
I downloaded Python-2.7.3 and used the following configure command:

/configure --enable-framework --enable-universalsdk --with-universal-archs=intel

and received the same error:

checking size of size_t... configure: error: in `/Users/phsiao/dev/Python-2.7.3-universal':
configure: error: cannot compute sizeof (size_t)
See `config.log' for more details
msg184913 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-03-21 21:36
Joe, there are many reasons for seeing configure errors like that and they are almost always platform-specific.  Ones seen on OS X are unlikely to be related to ones seen on Solaris so they should be covered in separate issues.  In your case, --enable-universalsdk with no arguments means to use the OS X 10.4u SDK which does not support 64-bit builds ("intel").  As described in Mac/README, you need to specify --enable-universalsdk=/ to use the command-line-tool installed headers on your system or --enable-universalsdk=/path/to/SDK to use a specific Xcode-installed SDK.  Also it is best to explicitly include MACOSX_DEPLOYMENT_TARGET=10.6 (or whatever) in the ./configure arguments.
msg185005 - (view) Author: Joe Hsiao (phsiao) Date: 2013-03-22 21:00
Thanks, Ned. What you suggested is working.
Apologize not seeing the Mac folder.
History
Date User Action Args
2013-03-22 21:00:28phsiaosetmessages: + msg185005
2013-03-21 21:36:46ned.deilysetnosy: + ned.deily
messages: + msg184913
2013-03-21 18:03:21phsiaosetnosy: + phsiao
messages: + msg184895
2013-03-05 06:28:00trentsetstatus: pending -> open

messages: + msg183510
2013-03-04 17:52:13ezio.melottisetstatus: open -> pending
nosy: + trent
messages: + msg183480

2013-03-04 07:29:11shilpisetmessages: + msg183422
2013-03-04 06:50:25ezio.melottisetmessages: + msg183420
2013-03-04 06:36:58shilpisetmessages: + msg183419
2013-03-04 06:33:25ezio.melottisettype: behavior

messages: + msg183418
nosy: + ezio.melotti
2013-03-04 06:32:04shilpicreate